tt_message_print(library call)

NAME
tt_message_print — format a message

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_message_print(
Tt_message *m);

DESCRIPTION

The tt_message_print function formats a message in the same way a message is formatted for the ttsession(1) trace and returns a string containing it.

The m argument is the message to be formatted.

RETURN VALUE

Upon successful completion, the tt_message_print function returns the formatted string. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMEM
    There is insufficient memory available to perform the function.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

The tt_message_print function allows an application to dump out messages that are received but not understood.

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_free(3), tt_ptr_error(3).